<?php

class AuditoriaFinanceiro extends GxActiveRecord
{

    /*campos filtros*/
    var $nome_cliente;
    var $codigo_cliente;
    var $situacao_importacao;
    var $faixa_cliente;
    var $faixa_cliente_ate;
    /**
     * Returns the static model of the specified AR class.
     * @return CActiveRecord the static model class
     */
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }

    /**
     * @return string the associated database table name
     */
    public function tableName()
    {
        return 'auditoria_financeiro';
    }

    /**
     * @return array validation rules for model attributes.
     */
    public function rules()
    {
        return array(
            array('nome_cliente,codigo_cliente,situacao_importacao,faixa_cliente,faixa_cliente_ate', 'safe'),
        );
    }

    /**
     * @return array relational rules.
     */
    public function relations()
    {
        return array(
            'Cliente' => array(self::BELONGS_TO, 'Clientes', 'ADF_IDCLIENTE_CRM', 'joinType'=>'LEFT JOIN'),
            'AuditoriaDados' => array(self::HAS_MANY, 'AuditoriaDados', 'ADD_IDCLIENTE', 'joinType'=>'LEFT JOIN'),
        );
    }

    /**
     * @return array customized attribute labels (name=&gt;label)
     */
    public function attributeLabels() {
        return array(
            'nome_cliente'           => 'Nome Cliente',
            'codigo_cliente'         => 'Código Cliente',
            'situacao_importacao'    => 'Situação da importação',
            'faixa_cliente'          => 'Faixa de clientes (nome começa com)',
            'faixa_cliente_ate'      => 'Faixa de clientes até (nome começa com)',
        );
    }

    public function normalizeValues()
    {
        $dataAssinatura = DateTime::createFromFormat('d/m/Y', $this->ADF_DTASSINATURA);
        $this->ADF_DTASSINATURA = $dataAssinatura->format('Y-m-d');

        $dataPriCobranca = DateTime::createFromFormat('d/m/Y', $this->ADF_DTPRICOBRANCA);
        $this->ADF_DTPRICOBRANCA = $dataPriCobranca->format('Y-m-d');

        $valor = str_replace(",", ".", $this->ADF_VLRMENSAL);
        $this->ADF_VLRMENSAL = $valor;
    }
}